<?xml version="1.0" encoding="utf-8"?>
<?xml-stylesheet type="text/xsl" href="therm.xsl"?>
<!--
 * Copyright (C) 2014 Huawei Inc.
only support these sensors
sensor_name ,  type,  description
 system_h   ,     0,  board high temperature area
 pa_0       ,     1,  major pa
 charger    ,     2,  charge ic
 usb        ,     3,  typeC usb
 cluster0   ,     4,  acpu little core
 cluster1   ,     5,  acpu middle/bigger core
 gpu        ,     6,  gpu core
 modem      ,     7,  modem(ccpu core)
 ddr        ,     8,  ddr
 battery    ,     9,  battery
 lcd        ,    10,  display screen
 tp         ,    11,  touch screen
 system_l   ,    12,  board low temperature area
 rfboard    ,    13,  mobile cool area
 wireless   ,    14,  wireless charge ic
 pa_1       ,    15,  minor pa
 dcxo_0     ,    16,  major crystal oscillator
 dcxo_1     ,    17,  minor crystal oscillator
 camera_0   ,    18,  back camera
 camera_1   ,    19,  front camera
 codec      ,    20,  codec
 charger1   ,    21,  charger1
 shell_frame,    22,  frame shell
 hisi_ambient,   23,  ambient v1.0
 hisi_ambient_v2,  24,  ambient v2.0+
 ir         ,    25,  ir
 dot        ,    26,  dot
 flash_led  ,    27,  flash led
 shell_front,    28,  front shell
 shell_back ,    29,  back shell
 usb_port   ,    30,  accurate usb
 supply_avg ,    31,  average value of battery supply
 supply_peak,    32,  peak value of battery supply
 bat_0      ,    33,  battery_0 of dual-battery
 bat_1      ,    34,  battery_1 of dual-battery
 pa_2       ,    35,  sub pa
 pa_3       ,    36,  sub pa
 pa_4       ,    37,  sub pa
 mmw_0      ,    38,  mmw major pa
 mmw_1      ,    39,  mmw minor pa
 shell_0    ,    40,  shell v3.0
 shell_1    ,    41,  shell v3.0
 shell_2    ,    42,  shell v3.0
 shell_3    ,    43,  shell v3.0
 shell_4    ,    44,  shell v3.0
 shell_5    ,    45,  shell v3.0
 cluster2   ,    46,  acpu big cpu core
 msm-therm-adc,  47,  ap zone on Qcom platform
 msm-therm  ,    48,  ap zone on Qcom platform
 chg-therm-adc,  49,  charge ic on Qcom platform
 pa-therm0  ,    50,  pa on Qcom platform
 pa_therm0  ,    51,  pa on Qcom platform
 mtktsAP    ,    52,  ap zone on mtk platform
 mtkts_chargerntc,  53,  charge ic on mtk platform
 mtktsbtsmdpa,   54,  4G pa on mtk platform
 mtkts_usbntc,   55,  usb on mtk platform
 mtktsbtsnrpa,   56,  5G pa on mtk plat
-->
<thermal version="0.03" product="ANG">

<!--配置需要上传的温度属性信息-->
<sensor_temp name="ambient" type="24" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="rfboard" type="13" enable="true" min_temp="-30" step="60" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="usb_port" type="30" enable="true" min_temp="-30" step="20" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_back" type="29" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>
<sensor_temp name="shell_frame" type="22" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="shell_front" type="28" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="system_h" type="0" enable="true" min_temp="-30" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="charger" type="2" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="pa_0" type="1" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="pa_1" type="15" enable="true" min_temp="0" step="5" to_celsius="1000">
    <thresholds>75</thresholds>
</sensor_temp>

<sensor_temp name="battery" type="9" enable="true" min_temp="-20" step="5" to_celsius="1000">
    <thresholds>70</thresholds>
</sensor_temp>

<sensor_temp name="supply_avg" type="31" enable="true" min_temp="0" step="70" to_celsius="100">
    <thresholds>130</thresholds>
</sensor_temp>

<sensor_temp name="supply_peak" type="32" enable="true" min_temp="0" step="70" to_celsius="100">
    <thresholds>130</thresholds>
</sensor_temp>

<ambient_calculate_coef>
<debug>0</debug>
    <nstate>60</nstate>
    <ncalc>6</ncalc>
    <nout>5</nout>
    <deltat>5</deltat>
    <tau>100</tau>
    <epsilon>1</epsilon>
    <interval>100</interval>
    <cur_step>300</cur_step>
    <ntc_step>2000</ntc_step>
    <ntc_rate>75</ntc_rate>
    <version>30</version>
    <para_init_a>-207.7</para_init_a>
    <para_init_b>92.58</para_init_b>
    <para_ac_a>-204.6</para_ac_a>
    <para_ac_b>-0.269</para_ac_b>
    <para_ac_cur>0</para_ac_cur>
    <para_dc_a>-3470.0</para_dc_a>
    <para_dc_b>-0.445</para_dc_b>
    <para_dc_cur>-5.184</para_dc_cur>
    <temp_norm>1</temp_norm>
    <amb_max>80000</amb_max>
    <amb_min>-40000</amb_min>
    <amb_range>-40000</amb_range>
    <cur_norm>3800</cur_norm>
    <sensor_count>4</sensor_count>
    <sensor0 type="usb_port" alpha="3.53" beta="5.21"/>
    <sensor1 type="rfboard" alpha="-2.35" beta="-3.85"/>
    <sensor2 type="system_h" alpha="0.681" beta="-0.156"/>
    <sensor3 type="charger" alpha="-0.956" beta="-0.0694"/>
    <sensor_mapping hisi_name="bat_cur" mapped_node="/sys/class/hw_thermal/temp/shell_iba/exp_node"/>
    <sensor_mapping hisi_name="bat_volt" mapped_node="/sys/class/hw_thermal/temp/shell_vba/exp_node"/>
    <sensor_mapping hisi_name="bat_stat" mapped_node="/sys/class/hw_thermal/temp/shell_stat/exp_node"/>
</ambient_calculate_coef>

<shell_calculate_coef>
    <shell_count>4</shell_count>
    <interval>5</interval>
    <tsensor_min>0</tsensor_min>
    <tsensor_max>100</tsensor_max>
    <tsensor_step>10</tsensor_step>
    <ntc_min>-20000</ntc_min>
    <ntc_max>80000</ntc_max>
    <ntc_step>2000</ntc_step>
    <temp_step_range>1000</temp_step_range>
    <temp_max_step_range>10000</temp_max_step_range>
    <shell_coef0 name="shell_frame">
        <bat_bias>-98</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>872</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="quiet-therm-usr" type="ntc" coef="-10033,-23716,-31630,-33610,-21848,14496,129848"/>
        <sensor1 name="system_h" type="ntc" coef="25315,24414,10086,15960,1393,4118,-143210"/>
        <sensor2 name="charger" type="ntc" coef="-9366,-5109,296,-5144,-2409,6739,-25088"/>
        <sensor3 name="rfboard" type="ntc" coef="98729,38830,5713,-3878,-12310,-39559,-70084"/>
        <sensor4 name="xo-therm-usr" type="ntc" coef="-67031,-23357,-16461,4237,37759,82525,91433"/>
        <sensor5 name="pa_0" type="ntc" coef="9577,-6779,4184,12445,8723,24058,-6662"/>
    </shell_coef0>
    <shell_coef1 name="shell_frame">
        <bat_bias>956</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>2725</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="quiet-therm-usr" type="ntc" coef="6062,11768,-4045,16402,-19993,-51239,105880"/>
        <sensor1 name="system_h" type="ntc" coef="13175,13515,11483,5235,12474,5903,-11203"/>
        <sensor2 name="charger1" type="ntc" coef="-1247,-2067,-181,2326,-5018,5610,-6396"/>
        <sensor3 name="charger" type="ntc" coef="2530,-2475,1234,-6552,-3897,-9972,-13692"/>
        <sensor4 name="xo-therm-usr" type="ntc" coef="-21888,-26566,-24445,9138,-18267,-39908,82994"/>
        <sensor5 name="pa_0" type="ntc" coef="-2101,5582,335,6024,6682,18033,16677"/>
    </shell_coef1>
    <shell_coef2 name="shell_front">
        <bat_bias>3405</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>4204</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="quiet-therm-usr" type="ntc" coef="49552,3677,-5085,2713,7390,-6635,-14866"/>
        <sensor1 name="system_h" type="ntc" coef="42461,-15633,-3874,-12097,-3285,4378,16346"/>
        <sensor2 name="charger" type="ntc" coef="46946,-40288,200,-9748,-11781,-17617,-4120"/>
        <sensor3 name="rfboard" type="ntc" coef="-29386,-14353,-9370,-1204,1782,19976,23912"/>
        <sensor4 name="xo-therm-usr" type="ntc" coef="-17406,5266,-1454,5431,6595,-3680,-18429"/>
        <sensor5 name="pa_0" type="ntc" coef="-12161,24013,22715,19358,22886,-226,8122"/>
    </shell_coef2>
    <shell_coef3 name="shell_back">
        <bat_bias>3908</bat_bias>
        <sensor_count>6</sensor_count>
        <const_coef>5367</const_coef>
        <coef_count>7</coef_count>
        <sensor0 name="quiet-therm-usr" type="ntc" coef="111625,84262,58706,32771,-1087,-26954,-31539"/>
        <sensor1 name="system_h" type="ntc" coef="100954,44687,9732,-12313,-24563,-34663,-11108"/>
        <sensor2 name="charger1" type="ntc" coef="-51127,-65467,-55502,-38011,-14452,-1332,73289"/>
        <sensor3 name="rfboard" type="ntc" coef="13501,10356,2800,-8967,-21377,-38282,-35874"/>
        <sensor4 name="xo-therm-usr" type="ntc" coef="110639,62641,24713,-11819,-47055,-79215,-107272"/>
        <sensor5 name="pa_0" type="ntc" coef="17333,25025,25985,19960,5244,-20893,-11356"/>
    </shell_coef3>
</shell_calculate_coef>
</thermal>
